// Initialize references to the global Vector Web Session
var g_VWS;
// and the global Vector JS libraries
var g_VNLibs;
 
try{
	if (parent.g_VWS)
	{
		g_VWS = parent.g_VWS;
		g_VNLibs = parent.g_VNLibs;
		
	}else{
		if (opener)
		{
			if (opener.g_VWS)
			{
				g_VWS = opener.g_VWS;
				g_VNLibs = opener.g_VNLibs;
			}else{
				if (opener.opener)
				{
					if (opener.opener.g_VWS)
					{
						g_VWS = opener.opener.g_VWS;
						g_VNLibs = opener.opener.g_VNLibs;
						
					}else{
						WriteConsole("Cannot find a Vector Web Session object - VWS [" + document.location.href + "]" );
					}
				}
			}
		}
	}
}catch(e){
	WriteConsole("Error loading the Vector Web Session object - VWS [" + document.location.href + "]" );
}

if (g_VWS)
{
	if (g_VWS.LoadRes)
	{
		g_VWS.LoadRes(g_MqRef);
		
	}
}

